---@enum EDisplayClusterEyeStereoOffset
local EDisplayClusterEyeStereoOffset = {
    None = 0,
    Left = 1,
    Right = 2,
    EDisplayClusterEyeStereoOffset_MAX = 3,
}

---@enum EDisplayClusterLabelFlags
local EDisplayClusterLabelFlags = {
    None = 0,
    DisplayInGame = 1,
    DisplayInEditor = 2,
    EDisplayClusterLabelFlags_MAX = 3,
}

---@enum EDisplayClusterLightCardMask
local EDisplayClusterLightCardMask = {
    Circle = 0,
    Square = 1,
    UseTextureAlpha = 2,
    Polygon = 3,
    MAX = 4,
}

---@enum EDisplayClusterNodeRole
local EDisplayClusterNodeRole = {
    None = 0,
    Primary = 1,
    Secondary = 2,
    Backup = 3,
    EDisplayClusterNodeRole_MAX = 4,
}

---@enum EDisplayClusterOperationMode
local EDisplayClusterOperationMode = {
    Cluster = 0,
    Editor = 1,
    Disabled = 2,
    EDisplayClusterOperationMode_MAX = 3,
}

---@enum EDisplayClusterPreviewShareIcvfxSync
local EDisplayClusterPreviewShareIcvfxSync = {
    None = 0,
    PullActor = 1,
    PushActor = 2,
    EDisplayClusterPreviewShareIcvfxSync_MAX = 3,
}

---@enum EDisplayClusterPreviewShareMode
local EDisplayClusterPreviewShareMode = {
    None = 0,
    PullActor = 1,
    Send = 2,
    Receive = 3,
    EDisplayClusterPreviewShareMode_MAX = 4,
}

---@enum EDisplayClusterSyncGroup
local EDisplayClusterSyncGroup = {
    PreTick = 0,
    Tick = 1,
    PostTick = 2,
    EDisplayClusterSyncGroup_MAX = 3,
}

